Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
com.tritondigital.net.streaming.proxy.ProxyFactory Class Reference

## Static Public Member Functions
static Proxy | createRtspProxy (StreamContainerDecoder.MetaDataDecodedListener metadataDecodedListener)
| Proceeds to the creation of an RTSP Proxy using the given client as a source and streaming payload of the given server type.
static Proxy | createHttpProxy (StreamContainerDecoder.MetaDataDecodedListener metadataDecodedListener)
| Proceeds to the creation of an HTTP Proxy using the given client as a source and streaming payload of the given server type.

## Detailed Description

This class simplifies the creation of a proxy with the most frequents combination of client and server types. It takes care of creating all instances needed for the creation of a proxy and connecting them together.

Usage example:

         Proxy proxy = ProxyFactory.createRtspProxy(ProxyFactory.RtspServerType.MP4_LATM, metadataDecodedListener);

         // Start using the proxy and playing
         mMediaPlayer.start(proxy.startAsync("http://myFlvUrl"));

         // Optionally, but strongly recommended, make sure that the MediaPlayer.OnPreparedListener calls proxy.audioPlaybackDidStart() in
         // its 'onPrepared' implementation.

## Member Function Documentation

## ◆ createHttpProxy()

static Proxy com.tritondigital.net.streaming.proxy.ProxyFactory.createHttpProxy | ( | StreamContainerDecoder.MetaDataDecodedListener | metadataDecodedListener | ) |
| static

Proceeds to the creation of an HTTP Proxy using the given client as a source and streaming payload of the given server type.

Parameters

  metadataDecodedListener | The listener to be notified when new Meta Data is received / decoded.

Returns
  The created proxy or `null` if this combination is not supported.

## ◆ createRtspProxy()

static Proxy com.tritondigital.net.streaming.proxy.ProxyFactory.createRtspProxy | ( | StreamContainerDecoder.MetaDataDecodedListener | metadataDecodedListener | ) |
| static

Proceeds to the creation of an RTSP Proxy using the given client as a source and streaming payload of the given server type.

Parameters

  metadataDecodedListener | The listener to be notified when new Meta Data is received / decoded.

Returns
  The created proxy or `null` if this combination is not supported.

The documentation for this class was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/ProxyFactory.java